
Redmine - Defect #1078

Custom fields added each issue even if not used

2008-04-19 01:55 - John Reynolds

Status: Closed Start date: 2008-04-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

I added two custom fields used in the issue area. Our policy is to leave the two fields blank unless we have something to add to

them.

I have a custom query/filter which states that they should be shown if either of the custom fields are NOT blank.

What happens is that apparently if you even tab into the fields on the issue page it creates an entry in custom_values of an empty

string. Once that happens, the query/filter assumes that the values aren't blank. It seems to me that if the custom fields are left blank,

there shouldn't be an entry created in the custom_values table.

I had trouble understanding the query/filter. I set it so that it reads "is not" and "blank". Apparently leaving the filter field blank doesn't

work, but putting in the text, "blank" actually tells it to do the right thing. Very odd.

I can provide a movie/screenshot series if you like.

Associated revisions

Revision 1362 - 2008-04-26 18:55 - Jean-Philippe Lang

Fixes custom field filters behaviour (#1078).

History

#1 - 2008-04-26 19:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Custom field filters wasn't working as expected indeed.

It's fixed in r1362. You can use the operator "all" rather than "is not" + "blank" to see tickets that doesn't have a blank value.
